package xyz.etztech.deluxegroups.command;

import org.bukkit.Bukkit;
import org.bukkit.ChatColor;
import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;
import xyz.etztech.deluxegroups.DeluxeGroups;

public class CommandMain implements CommandExecutor {

    DeluxeGroups plugin;


    public CommandMain(DeluxeGroups plugin) {
        this.plugin = plugin;
    }

    @Override
    public boolean onCommand(CommandSender sender, Command command, String base, String[] args) {
        if (args.length == 0) {
            other(sender);
        } else if (args.length == 1) {
            switch (args[0].toLowerCase()) {
                case "help":
                    sender.sendMessage(ChatColor.GOLD + "----- DeluxeGroups Commands -----");
                    sender.sendMessage(ChatColor.YELLOW + "/dg reload - Reload the config");
                    if (sender instanceof Player) {
                        CommandGroup.help((Player) sender);
                    }
                    break;
                case "reload":
                    reload(sender);
                    break;
                default:
                    other(sender);
            }
        }

        return true;
    }

    private void other(CommandSender sender) {
        String version = Bukkit.getPluginManager().getPlugin("DeluxeGroups").getDescription().getVersion();
        sender.sendMessage(ChatColor.GOLD + "----- DeluxeGroups v" + version + " -----");
        sender.sendMessage(ChatColor.YELLOW + "Developed by EtzTech");
        sender.sendMessage(ChatColor.YELLOW + "Use \"/dg help\" for help.");
    }


    private void reload(CommandSender sender) {
        if (!sender.hasPermission("deluxegroups.admin")) {
            sender.sendMessage(ChatColor.RED + "You do not have permission to use this command.");
            return;
        }
        try {
            sender.sendMessage("Reloading DeluxeGroups...");
            this.plugin.reloadConfig();
            sender.sendMessage("DeluxeGroups reloaded.");
        } catch (Exception ex) {
            sender.sendMessage("DeluxeGroups reload was interrupted.");
        }
    }


}
